# Gempub validator

Gempub is a new eBook format based on Gemini Protocol's Gemtext. Gempub can also serve as a Gemini capsule archive format. This program aims to validate a `gpub` file, if it is an archive it will verify that there is a `index.gmi` file at the root of the archive and if it is a book it will verify both `metadata.txt` and content.

[Gempub specifications](https://codeberg.org/oppenlab/gempub)

## Requirement

* Go compiler (1.16+, lower versions could work but not tested)

## How to build

```
go build
```

## How to use

```
./main filename
```

Where `filename` is the name of your gempub file.

*This program is released under a GPLv3 license*
